Subject: Re : i18n guix module error when opening shell after guix home reconfigure
From: Roland Everaert <[email-masked]>
To: Holger Peters <[email-masked]>
Cc: [email-masked]
Date: Tue, 01 Feb 2022 15:32:02 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Ok, how to revert to the commit before that one, are you aware of any plan for a fix in a not so distant future?

Thanks for delving into the abyss for us ;)

Roland Everaert
---
Use the F.O.S.S., Luke

Sent with ProtonMail Secure Email.

------- Original Message -------

Le samedi 29 janvier 2022 à 14:19, Holger Peters <[email-masked]> a écrit :

> Hi,
>
> An error message about guix i18n has appeared for a while now when using guix with guix home:
>
> Backtrace:
>
> 9 (primitive-load "/home/holger/.guix-home/on-first-login")
>
> In ice-9/eval.scm:
>
> 721:20 8 (primitive-eval (begin (use-modules (guix i18n)) (# …) …))
>
> In ice-9/psyntax.scm:
>
> 1230:36 7 (expand-top-sequence ((begin (use-modules (guix …)) …)) …)
>
> 1090:25 6 (parse _ (("placeholder" placeholder)) ((top) #(# # …)) …)
>
> 1222:19 5 (parse _ (("placeholder" placeholder)) ((top) #(# # …)) …)
>
> 259:10 4 (parse _ (("placeholder" placeholder)) (()) _ c&e (eval) …)
>
> In ice-9/boot-9.scm:
>
> 3927:20 3 (process-use-modules )
>
> 222:17 2 (map1 (((guix i18n))))
>
> 3928:31 1 ( ((guix i18n)))
>
> 3329:6 0 (resolve-interface (guix i18n) #:select _ #:hide _ # _ # …)
>
> The same error message has also appeared on other people’s machines. I think this commit is the one introducing the imports which give the error message: https://git.savannah.gnu.org/cgit/guix.git/commit/?id=cde3376b35222f46f8a82e7668a1a6fd42c08754
>
> > Anfang der weitergeleiteten Nachricht:
> >
> > Von: Roland Everaert via [email-masked]
> >
> > Betreff: i18n guix module error when opening shell after guix home reconfigure
> >
> > Datum: 5. Januar 2022 um 11:00:38 MEZ
> >
> > An: "[email-masked]" [email-masked]
> >
> > Antwort an: Roland Everaert [email-masked]
> >
> > Hello,
> >
> > First, happy new year and best wishes for this year.
> >
> > I have updated my guix home configuration to use my zsh config instead of a blank bash configuration.
> >
> > Unfortunatelly, when I logout and login again, I face the following errors:
> > ---------------------------------------------------------------------------
> >
> > Backtrace:
> >
> > 9 (primitive-load "/home/roland/.guix-home/on-first-login")
> >
> > In ice-9/eval.scm:
> >
> > 721:20 8 (primitive-eval (begin (use-modules (guix i18n)) (# …) …))
> >
> > In ice-9/psyntax.scm:
> >
> > 1230:36 7 (expand-top-sequence ((begin (use-modules (guix …)) …)) …)
> >
> > 1090:25 6 (parse _ (("placeholder" placeholder)) ((top) #(# # …)) …)
> >
> > 1222:19 5 (parse _ (("placeholder" placeholder)) ((top) #(# # …)) …)
> >
> > 259:10 4 (parse _ (("placeholder" placeholder)) (()) _ c&e (eval) …)
> >
> > In ice-9/boot-9.scm:
> >
> > 3927:20 3 (process-use-modules )
> >
> > 222:17 2 (map1 (((guix i18n))))
> >
> > 3928:31 1 ( ((guix i18n)))
> >
> > 3329:6 0 (resolve-interface (guix i18n) #:select _ #:hide _ # _ # …)
> >
> > ice-9/boot-9.scm:3329:6: In procedure resolve-interface:
> >
> > no code for module (guix i18n)
> > ----------------------------------------------------------------------------------------
> >
> > However, the command guix home reconfigure home-config.scm does not generate any error, so I don't understand why guix complain about a missing module related to internationalization.
> >
> > I am using guix, the package manager, on a Fedora 34 distribution.
> >
> > Below is my home-config.scm file content:
> >
> > (use-modules (gnu home)
> >
> > (gnu home services)
> >
> > (gnu home services shells)
> >
> > (gnu services)
> >
> > (gnu packages admin)
> >
> > (gnu packages python-xyz)
> >
> > (gnu packages password-utils)
> >
> > (gnu packages dunst)
> >
> > (gnu packages disk)
> >
> > (gnu packages backup)
> >
> > (gnu packages libreoffice)
> >
> > (gnu packages guile)
> >
> > (gnu packages xdisorg)
> >
> > (gnu packages tls)
> >
> > (gnu packages vpn)
> >
> > (gnu packages terminals)
> >
> > (guix gexp))
> >
> > (home-environment
> >
> > (packages (list htop glances password-store dunst ranger restic hunspell
> >
> > ;; hunspell-dict-fr hunspell-dict-en
> >
> > ;; guile
> >
> > neofetch xdotool openssl openvpn xscreensaver alacritty))
> >
> > (services
> >
> > (list
> >
> > (service home-zsh-service-type
> >
> > (home-zsh-configuration
> >
> > (xdg-flavor? #t)
> >
> > (zshrc (list (local-file "zshrc"))))))))
> > ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
> >
> > Any idea what might cause such trouble?
> >
> > Roland Everaert
> > ---------------
> >
> > Use the F.O.S.S., Luke
> >
> > Sent with ProtonMail Secure Email.